(defun makeinfo-from-texinfo (file)
  "Format texinfo files.  To be run in batch mode only."
  (save-excursion
    (find-file file)
    (texinfo-format-buffer)
    (save-some-buffers t)))

;;; These are all texinfo files to be converted into info format as of
;;; XEmacs-21.0-b46 (they include other texinfo files, though:
(mapc (function makeinfo-from-texinfo)
      '(
	"cl.texi"
	"custom.texi"
	"external-widget.texi"
	"info.texi"
	"standards.texi"
	"term.texi"
	"termcap.texi"
	"texinfo.texi"
	"widget.texi"
	"xemacs-faq.texi"
	"internals/internals.texi"
	"lispref/lispref.texi"
	"new-users-guide/new-users-guide.texi"
	"xemacs/xemacs.texi"
	))

